import Button from '../../Base/Button/Index';
import styles from './styles.module.css';

const Index = ({ onConfirm }) => {
  return (
    <>
      <h2 className={styles['modal-title']}>Confirm Your Selection</h2>
      <p className={styles['modal-title']}>
        Please confirm to proceed with your booking.
      </p>
      <div className={styles['btn-wrapper']}>
        <Button size={'md'} onClick={onConfirm}>
          Confirm
        </Button>
      </div>
    </>
  );
};

export default Index;
